<?php 
// require 'config.php';


###########################################################################
############################### CONFIG OF APP #############################
###########################################################################

define('URL_BX', 'https://emin.bitrix24.com.br/rest/96/glxl54nwag3dz2qb/');
define('DEBUG_FILE_NAME', 'lancaContas.log');
define('SLEEP_FOR', 1);

define('TKN', 'm09xiuq8yu0hj7wj7d0fppz9yo7ot83v');

define('FILTER_COMPANY', 'UF_CRM_1611945640'); //CNPJ
define('FILTER_CONTACT', 'UF_CRM_1611944918'); //CPF

header("Access-Control-Allow-Origin: *");
header('Cache-Control: no-cache, must-revalidate'); 
header("Content-Type: text/html; charset=UTF-8");
header("HTTP/1.1 200 OK");

###########################################################################
########################## Auxlilary Functions ############################
###########################################################################

function writeToLog($data, $title = '')
{
	if (!DEBUG_FILE_NAME)
		return false;

	$log = "\n------------------------\n";
	$log .= date("Y.m.d G:i:s")."\n";
	$log .= (strlen($title) > 0 ? $title : 'DEBUG')."\n";
	$log .= print_r($data, 1);
	$log .= "\n------------------------\n";

	file_put_contents(__DIR__."/".DEBUG_FILE_NAME, $log, FILE_APPEND);
	return true;
}

/* Função auxiliar para exibir dados dos vetores retornado na requisição e escrita no .log */
function getJson($url, $array, $print = 1){
    
    
    $queryData = http_build_query($array);

    $curl = curl_init();
	curl_setopt_array($curl, array(
								CURLOPT_SSL_VERIFYPEER => 0,
								CURLOPT_POST => 1,
								CURLOPT_HEADER => 0,
								CURLOPT_RETURNTRANSFER => 1,							
								CURLOPT_URL => $url."?start=".$start,
								CURLOPT_POSTFIELDS => $queryData,
								));
	$result = curl_exec($curl);
	curl_close($curl);

	$result = json_decode($result, 1);
	
	
	if (array_key_exists('error', $result)){

        echo "Error: ".$result['error_description']."<br/>";

        // writeToLog("Error: ", $result);

    }
	
	if($print == 1){
	    printArray($url);
	    printArray($array);
	    printArray($result);
	}
	
	sleep(SLEEP_FOR);

	return $result;
    
}

function addFeed($id, $mensagem, $entity, $print = 0){
    
    $queryUrl = URL_BX."crm.livefeedmessage.add";
    
    $fields = array(
                'fields' => array(
						 	"POST_TITLE" => $id,
						 	"MESSAGE" => $mensagem,
						 	"ENTITYTYPEID" =>  $entity,
						 	"ENTITYID" => $id
						 
						 ));
                
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function printArray($array){
    echo "<pre>";
    print_r($array);
    echo "</pre>";
    
    writeToLog($array, 'printArray');
}

function formatDate($date){
    
    $new = explode(" ", $date);
    
    return $new[0]."T".$new[1]."-03:00";

}

function cleanDate($date){
    $newdate = date("d/m/Y", strtotime($date));
    return $newdate;
}

function getName($nome, $parte){
    
    $nome = explode(" ", $nome);
    
    if($parte == 1){ // Primeiro Nome

        return $nome[0];

    }elseif($parte == 2){ // Nome Meio (2º)

        return $nome[1];

    }elseif($parte == 3){ // Sobrenomes
        $last_name = '';
        foreach($nome as $key => $value){
            if($key > 1){
                $last_name.= $value." ";
            }
        }
        return trim($last_name);
        
    }elseif($parte == 4){ // Tudo menos PRIMEIRO
        $last_name = '';
        foreach($nome as $key => $value){
            if($key >= 1){
                $last_name.= $value." ";
            }
        }
        return trim($last_name);
    }

}

function getFieldList($field, $entity, $print = 0){
    
    $queryUrl = URL_BX."crm.{$entity}.userfield.list";
    
    $array = array(
            "filter" => array(
                    "FIELD_NAME" => $field
                )
        );

    $result = getJson($queryUrl, $array, $print);
    
    if(isset($result['result'][0]['LIST'][0]['ID'])){
        return $result['result'][0]['LIST'];
    }
    
    
    
}

// Chamada da função
// "UF_CRM_1621451360762" => getField('UF_CRM_1621451360762', 'VALOR VINDO DA INTEGRAÇÃO','lead', 1),

function getField($field, $item, $entity, $print = 0){
    
    if($item != ''){
    
        $queryUrl = URL_BX."crm.{$entity}.userfield.list";
    
        $array = array(
                "filter" => array(
                        "FIELD_NAME" => $field
                    )
            );
    
        $result = getJson($queryUrl, $array, $print);
        
        if(isset($result['result'][0]['LIST'][0]['ID'])){
            foreach($result['result'][0]['LIST'] as $key => $value){
                
                $itens[$key] = trim($value['VALUE']);
                $itensId[$key] = $value['ID'];
                        
            }
            $found = array_search(trim($item), $itens);
        }else{
            $found = false;
        }
        
        if($found === false){
    
            updateField($result['result'][0]['ID'], trim($item), $entity, $print);
            $newItem = getField($field,  trim($item), $entity, $print);
            
            return $newItem;
    
        }else{
    
            return $itensId[$found];
        }
    }else{
        return '';
    }

}

function updateField($fieldId, $item, $entity, $print =0){
    
    $queryUrl = URL_BX."crm.{$entity}.userfield.update";
    
    $array = array(
            "ID" => $fieldId,
            "fields" => array(
                        "LIST" => array(array(
                                     "VALUE" => $item
                                    ))
                        ),
        );

    $result = getJson($queryUrl, $array, $print);
    sleep(2);
    
}

function getCompanyByFilter($filter, $type, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.company.list";
        
        $fields = Array(
            'filter' => array(
                    '=UF_CRM_1629547940' => trim($filter),
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL', 'WEB')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
    }else{
        
        return '';
    }
}




function getContactByFilter($filter, $empresaOmie, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.contact.list";
        
        $fields = Array(
            'filter' => array(
                    '=UF_CRM_1629547865' => trim($filter),
                    'UF_CRM_1631359513'  => $empresaOmie
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL')
            );
            
        $result = getJson($queryUrl, $fields, $print)['result'][0];
        return $result;
    }else{
 
        return '';
        
    }
}





function getPhone($phone){
    
    if($phone == '+55'){
        return '';
    }else{
        return $phone;
    }
    
    
}




###########################################################################
################################## Deal ###################################
###########################################################################


function getDealByFilter($filterText, $print = 0){
    
    if(isset($filterText)){
        
        $queryUrl = URL_BX."crm.deal.list";
        
        $fields = Array(
            'filter' => array(
                    'ID' => trim($filterText),
                ),
                'SELECT' => array('UF_*', '*')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
        
    }else{
        return $result['total'] =0;
    }
}

function getDealByFilter2($filterText, $print = 0){
    
    if(isset($filterText)){
        
        $queryUrl = URL_BX."crm.deal.list";
        
        $fields = Array(
            'filter' => array(
                    FILTER_DEAL2 => trim($filterText),
                    'CATEGORY_ID' => CATEGORY_ID,
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
        
    }else{
        return $result['total'] =0;
    }
}



function updateContact($value, $oldContact, $print = 0){
    
    $queryUrl = URL_BX."crm.contact.update";
    
    $deptos = array();
    
    $deptoArray = explode(",", $_GET['DEPTO']);
    
    foreach($deptoArray as $key => $valueDp){
        
        $deptos[] = getField('UF_CRM_1633780928', $valueDp,'contact', 0);
        
    }

    $fields = Array(
        'fields' => array(
                "UF_CRM_1633170649" => getField('UF_CRM_1633170649', $value['contasPagar'],'contact', 0),
                "UF_CRM_1633170668" => getField('UF_CRM_1633170668', $value['contasReceb'],'contact', 0),
                "UF_CRM_1632996027" => getField('UF_CRM_1632996027', $value['contaCorren'],'contact', 0),
                "UF_CRM_1633780928" => $deptos,
            ),
        "ID" => $oldContact
        );
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}


function checkTags($data){
    
    $posC = strpos($data['codigo_cliente_integracao'], 'C');
    $posE = strpos($data['codigo_cliente_integracao'], 'E');


    if(isset($data['codigo_cliente_integracao']) && $posC !== false){
        
        return 'Contato';
        
    }elseif(isset($data['codigo_cliente_integracao']) && $posE !== false){
        
        return 'Empresa';
        
    }else{
    
        if($data['pessoa_fisica'] == 'S'){
            return 'Contato';
        }elseif($data['pessoa_fisica'] == 'N'){
            return 'Empresa';
        }
    }
    
}

function getContactById($filter, $empresaOmie, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.contact.list";
        
        $fields = Array(
            'filter' => array(
                    'ID' => trim($filter),
                    'UF_CRM_1631359513'  => $empresaOmie
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL', 'WEB')
            );
            
        $result = getJson($queryUrl, $fields, $print)['result'][0];
        return $result;
    }else{
 
        return '';
        
    }
}

function getCompanyById($filter, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.company.list";
        
        $fields = Array(
            'filter' => array(
                    'ID' => trim($filter),
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL', 'WEB')
            );
            
        $result = getJson($queryUrl, $fields, $print)['result'][0];
        return $result;
    }else{
 
        return '';
        
    }
}


function getCompanyByOmieKey($filter, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.company.list";
        
        $fields = Array(
            'filter' => array(
                    '=UF_CRM_1631356971' => trim($filter),
                ),
                'SELECT' => array('ID')
            );
            
        $result = getJson($queryUrl, $fields, $print)['result'][0];
        return $result;
    }else{
 
        return '';
        
    }
}



function phonesUpdate($oldPhones, $newPhone, $type = 'WORK'){
    
    writeToLog($oldPhones, "OLD PHONES");
    
    if(isset($newPhone) && $newPhone != ''){
    
        $found = false;
        foreach($oldPhones as $key => $value){
            if($value['VALUE'] == $newPhone){
                $found = true;        
            }
        }
        
        if($found == false){
            
            $oldPhones[] = array(
                            'VALUE_TYPE' => $type,
                            'VALUE'      => $newPhone
                );
            
        }
        
        return $oldPhones;
        
    }else{
        return $oldPhones;
    }
    
}

function updateCompany($data, $oldId, $print = 0){
    
    $queryUrl = URL_BX."crm.company.update";
    
    $fields = Array(
        'fields' => $data,
        'ID' => $oldId);
        
    writeToLog($fields, "UPDATE Company");
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function addCompany($data, $print = 0){
    
    $queryUrl = URL_BX."crm.company.add";
    
    $fields = Array(
        'fields' => $data
        );
        
    writeToLog($fields, "Add Company");
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function deleteCompany($data, $print = 0){
    
    $queryUrl = URL_BX."crm.company.delete";
    
    $fields = Array(
        'id' => $data
        );
        
    writeToLog($fields, "Deleta Contact");
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function updateDeal($data, $oldId, $print = 0){
    
    $queryUrl = URL_BX."crm.deal.update";
    
    $fields = Array(
        'fields' => $data,
        'ID' => $oldId);
        
    writeToLog($fields, "UPDATE Deal");
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function addContact($data, $print = 0){
    
    $queryUrl = URL_BX."crm.contact.add";
    
    $fields = Array(
        'fields' => $data
        );
        
    writeToLog($fields, "Add Contact");
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function deleteContact($data, $print = 0){
    
    $queryUrl = URL_BX."crm.contact.delete";
    
    $fields = Array(
        'id' => $data
        );
        
    writeToLog($fields, "Deleta Contact");
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}



function getSimNao($value){
    
    if($value == 'S'){
        return 0;
    }elseif($value == 'N'){
        return 1;
    }else{
        return 1;
    }
}

function getTypeOmie($tags){
    
    if(isset($tags)){
    
        foreach($tags as $key => $value){
            
            if($value->tag == 'Cliente'){
                
                return "CLIENT";
                
            }elseif($value->tag == 'Fornecedor'){
                
                return "SUPPLIER";
            }else{
                return "CLIENT";
            }
            
            
        }
    }else{
        return "CLIENT"; 
    }
    
}

function getTotaliza($categ, $sigla, $field){
    
    // 'UF_CRM_1634727492'
    
    $field = getFieldList($field, 'deal', 1);
    
    printArray($field);
    
    $sgCat = explode("|", $categ)[0];
    $idCat = explode(".", trim(str_replace(")", "", explode("(", $categ)[1])));
    $idTot = $idCat[0].".".$idCat[1];
    
    printArray($sgCat);
    printArray($idCat);
    printArray($idTot);
    
    $return = FALSE;
    
    foreach($field as $key => $value){
        
        if(trim(explode("|", $value['VALUE'])[0]) == trim($sgCat) && trim($sgCat) == $sigla){
            
            printArray($idTot);
            
            printArray(trim(str_replace(")", "", explode("(", $value['VALUE'])[1])));
            
            if(trim(str_replace(")", "", explode("(", $value['VALUE'])[1])) == trim($idTot)){
                printArray("encontrou ".$value['ID']);
                $return = $value['ID'];
                
            }
            
        }
    }
    
    printArray($return);
    if($return == FALSE){
        
       foreach($field as $key => $value){
        
            if(trim(explode("|", $value['VALUE'])[0]) == 'OMIE'){
                
                printArray($idTot);
                
                printArray(trim(str_replace(")", "", explode("(", $value['VALUE'])[1])));
                
                if(trim(str_replace(")", "", explode("(", $value['VALUE'])[1])) == trim($idTot)){
                    printArray("encontrou ".$value['ID']);
                    $return = $value['ID'];
                    
                }
                
            }
        } 
        
    }
    return $return;
    
    
}
      
###########################################################################
#################################### Inicio ###############################
###########################################################################


// https://eminomie.byte.bio/bitrix/importCategorias.php?tkn=m09xiuq8yu0hj7wj7d0fppz9yo7ot83v&key=1385372947959&sec=164924dab44af5fc68e9dfdad863a8d1&ID=5&sgl=MUNDOFIT

date_default_timezone_set("America/Sao_Paulo");

writeToLog($_REQUEST, "Request entrada");


if($_REQUEST['tkn'] != TKN){
    writeToLog($_REQUEST['tkn'], "Token Inválido");
    exit();
}

if(!isset($_REQUEST['key']) ||  !isset($_REQUEST['sec'])){
    
    writeToLog($_REQUEST, "Key ou Secret inválido");
    exit();
    
}else{
    
    define("OMIE_APP_KEY",    $_REQUEST['key']);
    define("OMIE_APP_SECRET", $_REQUEST['sec']);
    
}

$conta = getDealByFilter($_GET['DEALID'], 0)['result'][0];

if(isset($_GET['DEPTO']) && trim($_GET['DEPTO']) != ''){
    
    $deptoArray = explode(",", $_GET['DEPTO']);
    
    $rateio[1] = $conta['UF_CRM_1633775512'];
    $rateio[2] = $conta['UF_CRM_1633775878'];
    $rateio[3] = $conta['UF_CRM_1633775566'];
    $rateio[4] = $conta['UF_CRM_1633775581'];
    $rateio[5] = $conta['UF_CRM_1633775595'];
    $rateio[6] = $conta['UF_CRM_1633775606'];
    $rateio[7] = $conta['UF_CRM_1633775621'];
    $rateio[8] = $conta['UF_CRM_1633775636'];
    $rateio[9] = $conta['UF_CRM_1633775896'];
    $rateio[10] = $conta['UF_CRM_1633775660'];
    
    if(array_sum($rateio) == 0){
        
        $rat = round($_REQUEST['val']/count($deptoArray), 2);
        $resto = $_REQUEST['val'] - ($rat*count($deptoArray));
        
        printArray($resto);
        printArray($rat);

        $distribuicao = array();
        foreach($deptoArray as $key => $value){
            if($key == count($deptoArray)-1){  $rat = $rat + $resto; }
            
            $distribuicao[] =  array("cCodDep" => trim(str_replace(")", "", explode("(", $value)[1])),
                                                     "cDesDep" => trim(str_replace($_GET['sgl']." |", "", explode("(", $value)[0])), 
                                                     "nValDep" => $rat
                                                    //  "nPerDep" => $rat
                                                     );
                                                     
            $rateio[$key+1] = $rat;
            
        }
        
        echo "zerado";
        
    }elseif(array_sum($rateio) > $_REQUEST['val']){
       
        printArray("rateio a maior");
        
    }elseif(array_sum($rateio) < $_REQUEST['val']){
        
        printArray("rateio a MENOR");
        
    }else{
    
        $distribuicao = array();
        foreach($deptoArray as $key => $value){
            
           $distribuicao[] =  array("cCodDep" => trim(str_replace(")", "", explode("(", $value)[1])),
                                                     "cDesDep" => trim(str_replace($_GET['sgl']." |", "", explode("(", $value)[0])), 
                                                     "nValDep" => $rateio[$key+1]
                                                     );
                                                    //  "nPerDep" => $rateio[$key+1]);
                                                     
        }
            
    }
    

    
    
    printArray($distribuicao);
    
}



if($_GET['ope'] == 'pagar'){
    require('../omie/clientes/ContasPagar.php');

    try { 
        $sc = new ContasPagarSoapClient(); 
        
          $novaConta = new contas_cadastro();  
          $novaConta->codigo_lancamento_integracao = 10000000+$_GET['DEALID'];
          $novaConta->codigo_cliente_fornecedor = $_GET['CLIENTE'];
          $novaConta->data_vencimento = $_GET['dtvc']; //"29/09/2021";
          $novaConta->data_emissao = $_GET['dtem']; //"29/09/2021";
          $novaConta->valor_documento = $_GET['VALOR'];
          $novaConta->codigo_categoria = trim(str_replace(")", "", explode("(", $_GET['CATEGORIA'])[1]));
          $novaConta->data_previsao = $_GET['dtvc']; //"29/09/2021";
          $novaConta->id_conta_corrente = trim(str_replace(")", "", explode("(", $_GET['CC'])[1]));
          $novaConta->codigo_barras_ficha_compensacao = $_GET['BOLETO']; //"00190000090309079550501911781175187790000031306";
          
          if(isset($_GET['DEPTO']) && trim($_GET['DEPTO']) != ''){
            $novaConta->distribuicao = $distribuicao;
          }
    
    
        $ret = $sc->UpsertContaPagar($novaConta); 
    
        printArray($ret);
        
        writeToLog($ret, "Retorno enviando OMIE");
        
    } catch (SoapFault $e) { 
        
        writeToLog($e->getMessage(), "Erro enviando OMIE");
        $msgError = @print_r($e->getMessage(), true);
        
        $mensagem = "[B]Retorno OMIE[/B]

ERRO - Verifique LOG

".$msgError;

        addFeed($_GET['DEALID'], $mensagem, 2, 1);
        
    }
    
    $totalizadoraCp = getTotaliza($_GET['CATEGORIA'], $_GET['sgl'], 'UF_CRM_1634727492');
    
    $upd['contasPagar'] = $_GET['CATEGORIA'];
    $upd['contaCorren'] = $_GET['CC'];
    $upd['departamento'] = $_GET['DEPTO'];
    
}elseif($_GET['ope'] == 'receber'){
    require('../omie/clientes/ContasReceber.php');

    try { 
        $sc = new ContasReceberSoapClient(); 
        
          $novaConta = new contas_cadastro();  
          $novaConta->codigo_lancamento_integracao = 10000000+$_GET['DEALID'];
          $novaConta->codigo_cliente_fornecedor = $_GET['CLIENTE'];
          $novaConta->data_vencimento = $_GET['dtvc']; //"29/09/2021";
          $novaConta->data_emissao = $_GET['dtem']; //"29/09/2021";
          $novaConta->valor_documento = $_GET['VALOR'];
          $novaConta->codigo_categoria = trim(str_replace(")", "", explode("(", $_GET['CATEGORIA'])[1]));
          $novaConta->data_previsao = $_GET['dtvc']; //"29/09/2021";
          $novaConta->id_conta_corrente = trim(str_replace(")", "", explode("(", $_GET['CC'])[1]));
          $novaConta->codigo_barras_ficha_compensacao = $_GET['BOLETO']; //"00190000090309079550501911781175187790000031306";
          
          if(isset($_GET['DEPTO']) && trim($_GET['DEPTO']) != ''){
            $novaConta->distribuicao = $distribuicao;
          }

    
        $ret = $sc->UpsertContaReceber($novaConta); 
    
        printArray($ret);
        
        writeToLog($ret, "Retorno enviando OMIE");
        
    } catch (SoapFault $e) { 
        
        writeToLog($e->getMessage(), "Erro enviando OMIE");
        $msgError = @print_r($e->getMessage(), true);
        
                $mensagem = "[B]Retorno OMIE[/B]

ERRO - Verifique LOG

".$msgError;

        addFeed($_GET['DEALID'], $mensagem, 2, 1);
        
    }
    $totalizadoraCr = getTotaliza($_GET['CATEGORIA'], $_GET['sgl'], 'UF_CRM_1634727870');
    
    $upd['contasReceb'] = $_GET['CATEGORIA'];
    $upd['contaCorren'] = $_GET['CC'];
    $upd['departamento'] = $_GET['DEPTO'];
}

if(trim($ret->codigo_status) == "0"){
    
    $data = array(
        "UF_CRM_1633343937964" => trim($ret->codigo_lancamento_omie),
        "UF_CRM_1633343951958" => trim($ret->codigo_lancamento_integracao),
        'UF_CRM_1633775512' => $rateio[1],
        'UF_CRM_1633775878' => $rateio[2],
        'UF_CRM_1633775566' => $rateio[3],
        'UF_CRM_1633775581' => $rateio[4],
        'UF_CRM_1633775595' => $rateio[5],
        'UF_CRM_1633775606' => $rateio[6],
        'UF_CRM_1633775621' => $rateio[7],
        'UF_CRM_1633775636' => $rateio[8],
        'UF_CRM_1633775896' => $rateio[9],
        'UF_CRM_1633775660' => $rateio[10],
        
        'UF_CRM_1634727870' => $totalizadoraCr,
        'UF_CRM_1634727492' => $totalizadoraCp);
    
    updateDeal($data, $_GET['DEALID'], 1);
    
    $mensagem = "[B]Retorno OMIE[/B]

".$ret->descricao_status."

Cod Omie: ".$ret->codigo_lancamento_omie."
Cod Integração: ".$ret->codigo_lancamento_integracao;

addFeed($_GET['DEALID'], $mensagem, 2, 1);

updateContact($upd, $_GET['CLIENTE_ID'], 1);


//     if(trim($_GET['stts']) == 'Pago'){
//         try { 
//             $sc = new ContasPagarSoapClient(); 
            
//             //   "codigo_lancamento": 0,
//             //   "codigo_lancamento_integracao": "",
//             //   "codigo_baixa_integracao": "",
//             //   "codigo_conta_corrente": "",
//             //   "valor": 100.2,
//             //   "desconto": 0,
//             //   "juros": 0,
//             //   "multa": 0,
//             //   "data": "04/10/2021",
//             //   "observacao": "Baixa de documento realizada via API."
            
//               $novaConta = new contas_cadastro();  
//               $novaConta->codigo_lancamento = $ret->codigo_lancamento_omie;
//               $novaConta->codigo_lancamento_integracao = $ret->codigo_lancamento_integracao;
//               $novaConta->codigo_conta_corrente = trim(str_replace(")", "", explode("(", $_GET['CC'])[1]));
//               $novaConta->data = $_GET['dtvc']; //"29/09/2021";
//               $novaConta->valor = $_GET['VALOR'];
        
        
//             $ret = $sc->LancarPagamento($novaConta); 
        
//             printArray($ret);
            
//             writeToLog($ret, "Retorno enviando OMIE");
            
            
//             if(trim($ret->codigo_status) == "0"){
    
//                 $mensagem = "[B]Retorno OMIE[/B]
            
// ".$ret->descricao_status."

// Cod Baixa: ".$ret->codigo_baixa."
// Valor Baixado: ".$ret->valor_baixado;

// addFeed($_GET['DEALID'], $mensagem, 2, 1);
//             }
            
//         } catch (SoapFault $e) { 
            
//             writeToLog($e->getMessage(), "Erro enviando OMIE");
//             @print_r($e->getMessage());
            
//                     $mensagem = "[B]Retorno OMIE[/B]
    
//     ERRO - Verifique LOG";
    
//             addFeed($_GET['DEALID'], $mensagem, 2, 1);
            
//         }
//     }
    
    
}



    

?>