<?php
// require_once("../OmieAppAuth.php"); 
require('ClientesCadastro.php');


###########################################################################
############################### CONFIG OF APP #############################
###########################################################################

define('URL_BX', 'https://emin.bitrix24.com.br/rest/96/glxl54nwag3dz2qb/');
define('DEBUG_FILE_NAME', 'clientes.log'); // if you need read debug log, you should write unique log name
define('SLEEP_FOR', 1);

define('TKN', 'm09xiuq8yu0hj7wj7d0fppz9yo7ot83v');

header("Access-Control-Allow-Origin: *");
header('Cache-Control: no-cache, must-revalidate'); 
header("Content-Type: text/html; charset=UTF-8");
header("HTTP/1.1 200 OK");

###########################################################################
########################## Auxlilary Functions ############################
###########################################################################

// function sendClient($clientes){

//     try { 
//         $sc = new ClientesCadastroSoapClient(); 
       

//         $novoCliente = new clientes_cadastro();  
//         $novoCliente->razao_social = "Omiexperience S/A";  
//         $novoCliente->cnpj_cpf = "18511742000147";  
//         $novoCliente->codigo_cliente_integracao = "1234";  
                
//         // Solicita a criação do novo cliente  
//         $ret = $sc->IncluirCliente($novoCliente); 
//         print "Cadastrado com sucesso: " . print_r($ret, true) . "\n\n"; 
    
//       // Tratamento de erros 
//       } catch (SoapFault $e) { 
//         print "Ocorreu um erro no processamento: " . $e->faultstring . "\n"; 
//         @print_r($e->detail); 
//       } 
// }


function writeToLog($data, $title = '')
{
	if (!DEBUG_FILE_NAME)
		return false;

	$log = "\n------------------------\n";
	$log .= date("Y.m.d G:i:s")."\n";
	$log .= (strlen($title) > 0 ? $title : 'DEBUG')."\n";
	$log .= print_r($data, 1);
	$log .= "\n------------------------\n";

	file_put_contents(__DIR__."/".DEBUG_FILE_NAME, $log, FILE_APPEND);
	return true;
}

/* Função auxiliar para exibir dados dos vetores retornado na requisição e escrita no .log */
function getJson($url, $array, $print = 1){
    
    
    $queryData = http_build_query($array);

    $curl = curl_init();
	curl_setopt_array($curl, array(
								CURLOPT_SSL_VERIFYPEER => 0,
								CURLOPT_POST => 1,
								CURLOPT_HEADER => 0,
								CURLOPT_RETURNTRANSFER => 1,							
								CURLOPT_URL => $url."?start=".$start,
								CURLOPT_POSTFIELDS => $queryData,
								));
	$result = curl_exec($curl);
	curl_close($curl);

	$result = json_decode($result, 1);
	
	
	if (array_key_exists('error', $result)){

        echo "Error: ".$result['error_description']."<br/>";

        // writeToLog("Error: ", $result);

    }
	
	if($print == 1){
	    printArray($url);
	    printArray($array);
	    printArray($result);
	}
	
	sleep(SLEEP_FOR);

	return $result;
    
}

function printArray($array){
    echo "<pre>";
    print_r($array);
    echo "</pre>";
    
    writeToLog($array, 'printArray');
}

function formatDate($date){
    $newdate = date("Y-m-d", strtotime($date)).'T00:00:00+03:00';
    return $newdate;
}

function cleanDate($date){
    $newdate = date("d/m/Y", strtotime($date));
    return $newdate;
}

function getName($nome, $parte){
    
    $nome = explode(" ", $nome);
    
    if($parte == 1){

        return $nome[0];

    }elseif($parte == 2){

        return $nome[1];

    }else{
        $last_name = '';
        foreach($nome as $key => $value){
            if($key > 1){
                $last_name.= $value." ";
            }
        }
        return trim($last_name);
    }

}

// Chamada da função
// "UF_CRM_1621451360762" => getField('UF_CRM_1621451360762', 'VALOR VINDO DA INTEGRAÇÃO','lead', 1),

function getField($field, $item, $entity, $print = 0){
    
    if($item != ''){
    
        $queryUrl = URL_BX."crm.{$entity}.userfield.list";
    
        $array = array(
                "filter" => array(
                        "FIELD_NAME" => $field
                    )
            );
    
        $result = getJson($queryUrl, $array, $print);
        
        if(isset($result['result'][0]['LIST'][0]['ID'])){
            foreach($result['result'][0]['LIST'] as $key => $value){
                
                $itens[$key] = trim($value['VALUE']);
                $itensId[$key] = $value['ID'];
                        
            }
            $found = array_search(trim($item), $itens);
        }else{
            $found = false;
        }
        
        if($found === false){
    
            updateField($result['result'][0]['ID'], trim($item), $entity, $print);
            $newItem = getField($field,  trim($item), $entity, $print);
            
            return $newItem;
    
        }else{
    
            return $itensId[$found];
        }
    }else{
        return '';
    }

}

function updateField($fieldId, $item, $entity, $print =0){
    
    $queryUrl = URL_BX."crm.{$entity}.userfield.update";
    
    $array = array(
            "ID" => $fieldId,
            "fields" => array(
                        "LIST" => array(array(
                                     "VALUE" => $item
                                    ))
                        ),
        );

    $result = getJson($queryUrl, $array, $print);
    sleep(2);
    
}

function getCompanyById($filter, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.company.list";
        
        $fields = Array(
            'filter' => array(
                    'ID' => trim($filter),
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL', 'WEB')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
    }else{
        
        return '';
    }
}

function getContactByCompanyId($filter, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.contact.list";
        
        $fields = Array(
            'filter' => array(
                    'COMPANY_ID' => trim($filter),
                ),
                'SELECT' => array('NAME', 'LAST_NAME')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result['result'][0]['NAME']." ".$result['result'][0]['LAST_NAME'];
    }else{
 
        return '';
        
    }
}


function getContactById($filter, $print = 0){
    
    if(isset($filter)){

        $queryUrl = URL_BX."crm.contact.list";
        
        $fields = Array(
            'filter' => array(
                    'ID' => trim($filter),
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL', 'WEB')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
    }else{
 
        return '';
        
    }
}





function getPhone($phone){
    
    if($phone == '+55'){
        return '';
    }else{
        return $phone;
    }
    
    
}

function addCompany($data, $print = 0){
    
    $contact = $data['pedido']['cliente'];
    
    $queryUrl = URL_BX."crm.company.add";
        
    $fields = Array(
        'fields' => array(
                'TITLE'             => $contact['nome'],
                'SOURCE_ID'           => 1,
                'UF_CRM_1612380408' => $contact['ie'],
                'UF_CRM_1611945640' => $contact['cnpj'],
                'UF_CRM_1611945114' => $contact['endereco'],
                'UF_CRM_1622027025666' => $contact['numero'],
                'UF_CRM_1611945511' => $contact['complemento'],
                'UF_CRM_1611945523' => $contact['cidade'],
                'UF_CRM_1622026796065' => $contact['bairro'],
                'UF_CRM_1611945523' => str_replace('.','',str_replace('-','',$contact['cep'])),
                "UF_CRM_1611945630" => getField('UF_CRM_1611945630', $contact['uf'],'company', 1),// 'UF_CRM_1611945630' => getStateCompany($contact['uf']),
                'ADDRESS'              => $contact['endereco'].', '.$contact['numero'].' '.$contact['complemento'].' '.$contact['bairro'].', '.$contact['cidade'].'/'.$contact['uf'],
                'COMPANY_TYPE'              => 'CUSTOMER',
                'UF_CRM_1623262800999' => $contact['id'],
                'EMAIL' => array(array(
                                    'VALUE' => $contact['email'],
                                    'VALUE_TYPE' => 'WORK'
                                    )
                            ) ,
                'PHONE' => array(array(
                                    'VALUE' => getPhone('+55'.str_replace(" ", "",str_replace("(", "",str_replace(")", "",str_replace("-", "",$contact['fone']))))),
                                    'VALUE_TYPE' => 'WORK'
                                    ),
                                array(
                                    'VALUE' => getPhone('+55'.str_replace(" ", "",str_replace("(", "",str_replace(")", "",str_replace("-", "",$contact['celular']))))),
                                    'VALUE_TYPE' => 'MOBILE'
                                    )
                            )
        ));
        

    $result = getJson($queryUrl, $fields, $print);
    return $result;

}



function addContact($data, $print = 0){
    
    $contact = $data['pedido']['cliente'];
    
    $queryUrl = URL_BX."crm.contact.add";
        
    $fields = Array(
        'fields' => array(
                'NAME'             => getName($contact['nome'], 1),
                'LAST_NAME'         => getName($contact['nome'], 2).' '.getName($contact['nome'], 3),
                'SOURCE_ID'           => 1,
                'UF_CRM_1622026980465' => $contact['rg'],
                FILTER_CONTACT => $contact['cnpj'],
                'UF_CRM_1611944738' => $contact['endereco'],
                'UF_CRM_1622027068601' => $contact['numero'],
                'UF_CRM_1611944762' => $contact['complemento'],
                'UF_CRM_1611944769' => $contact['cidade'],
                'UF_CRM_1622027227073' => $contact['bairro'],
                'UF_CRM_1611944780' => str_replace('.','',str_replace('-','',$contact['cep'])),
                "UF_CRM_1611944836" => getField('UF_CRM_1611944836', $contact['uf'],'contact', 1),// 'UF_CRM_1611944836' => getState($contact['uf']),
                'ADDRESS'              => $contact['endereco'].', '.$contact['numero'].' '.$contact['complemento'].' '.$contact['bairro'].', '.$contact['cidade'].'/'.$contact['uf'],
                'TYPE_ID'              => 'CLIENT',
                'UF_CRM_1623262855703' => $contact['id'],

                // 'UF_CRM_1620123124090'    => $data['pedido']['tipoIntegracao'],
                
                'EMAIL' => array(array(
                                    'VALUE' => $contact['email'],
                                    'VALUE_TYPE' => 'WORK'
                                    )
                            ) ,
                'PHONE' => array(array(
                                    'VALUE' => getPhone('+55'.str_replace(" ", "",str_replace("(", "",str_replace(")", "",str_replace("-", "",$contact['fone']))))),
                                    'VALUE_TYPE' => 'WORK'
                                    ),
                                array(
                                    'VALUE' => getPhone('+55'.str_replace(" ", "",str_replace("(", "",str_replace(")", "",str_replace("-", "",$contact['celular']))))),
                                    'VALUE_TYPE' => 'MOBILE'
                                    )
                            )
        ));
        

    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function updateContact($data, $old, $print = 0){
    
    $queryUrl = URL_BX."crm.contact.update";
    
    $fields = Array(
        'fields' => array(
                'UF_CRM_1629547865'         => $data->codigo_cliente_omie,
                "UF_CRM_1629628232029"      => date('Y-m-d\TH:i:s-03:00')
                ),
        'ID' => $old['ID']);
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function updateCompany($data, $old, $print = 0){
    
    $queryUrl = URL_BX."crm.company.update";
    
    $fields = Array(
        'fields' => array(
                'UF_CRM_1629547940' => $data->codigo_cliente_omie,
                ),
        'ID' => $old['ID']);
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

###########################################################################
################################## Deal ###################################
###########################################################################


function getDealByFilter($filterText, $print = 0){
    
    if(isset($filterText)){
        
        $queryUrl = URL_BX."crm.deal.list";
        
        $fields = Array(
            'filter' => array(
                    FILTER_DEAL => trim($filterText),
                    'CATEGORY_ID' => CATEGORY_ID,
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
        
    }else{
        return $result['total'] =0;
    }
}

function getDealByFilter2($filterText, $print = 0){
    
    if(isset($filterText)){
        
        $queryUrl = URL_BX."crm.deal.list";
        
        $fields = Array(
            'filter' => array(
                    FILTER_DEAL2 => trim($filterText),
                    'CATEGORY_ID' => CATEGORY_ID,
                ),
                'SELECT' => array('UF_*', '*', 'PHONE', 'EMAIL')
            );
            
        $result = getJson($queryUrl, $fields, $print);
        return $result;
        
    }else{
        return $result['total'] =0;
    }
}



function addDeal($value, $contactAdd, $companyAdd, $transpAdd, $print = 0){
    
    $queryUrl = URL_BX."crm.deal.add";
    $parcelas = '';
    foreach($value['parcelas'] as $keyP => $valueP){
        $nro = $keyP=1;
        $parcelas .= $nro." | ".cleanDate($valueP['parcela']['dataVencimento'])." | ".$valueP['parcela']['valor']." | ".$valueP['parcela']['forma_pagamento']['descricao']." | ".$valueP['parcela']['obs'];
    }
    
    if($value['nota']['numero'] != ''){
        $nfGerada = 1;
    }
        
    $fields = Array(
        'fields' => array(
                'TITLE'             => $value['cliente']['nome'].' - '.$value['origem']['propostaComercial']['numeroProposta'].'/'.$value['numero'],
                'TYPE_ID'           => 'SALE',
                'SOURCE_ID'           => 1,
                'CATEGORY_ID'       => CATEGORY_ID, 
                'CONTACT_ID'        => $contactAdd,
                'COMPANY_ID'        => $companyAdd,
                'UF_CRM_1622026236595'  => $value['numero'],
                'UF_CRM_1622026196949'  => $value['data'].'T00:00:00-03:00',

                "UF_CRM_1622027565084" => getField('UF_CRM_1622027565084', $value['situacao'],'deal', 1), // 'UF_CRM_1622027565084' => getStatus($value['situacao']),

                'UF_CRM_1622026560577' => $value['nota']['numero'],
                'UF_CRM_1622027744586' => $value['nota']['serie'],
                'UF_CRM_1622026597387' => str_replace(' ', 'T', $value['nota']['dataEmissao']).'-03:00',
                'UF_CRM_1622026584633' => $value['nota']['chaveAcesso'],
                'UF_CRM_1622026573679' => $value['nota']['valorNota'],
                'UF_CRM_1620324962'    => $nfGerada,
                
                'UF_CRM_1620323328' => $value['observacoes'],
                'UF_CRM_1620323345' => $value['observacaointerna'],
                'UF_CRM_1620070613' => $value['valorfrete'],
                'UF_CRM_1622026337926' => $value['totalprodutos'],
                'OPPORTUNITY' => $value['totalvenda'],
                'UF_CRM_1622026381926' => str_replace(' ', 'T', $value['dataSaida']).'-03:00',
                'UF_CRM_1622026393667' => str_replace(' ', 'T', $value['dataPrevista']).'-03:00',
                
                'UF_CRM_1614097734403' => $value['origem']['propostaComercial']['numeroProposta'],
                
                'UF_CRM_1620323151' => $parcelas,

                
                
                
            ),
        );
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}

function updateDeal($dealID, $value, $contactAdd, $companyAdd, $transpAdd, $print = 0){
    
    $queryUrl = URL_BX."crm.deal.update";
    $parcelas = '';
    foreach($value['parcelas'] as $keyP => $valueP){
        $nro = $keyP=1;
        $parcelas .= $nro." | ".cleanDate($valueP['parcela']['dataVencimento'])." | ".$valueP['parcela']['valor']." | ".$valueP['parcela']['forma_pagamento']['descricao']." | ".$valueP['parcela']['obs'];
    }
    
    if($value['nota']['numero'] != ''){
        $nfGerada = 1;
    }
        
    $fields = Array(
        'fields' => array(
                'TITLE'             => $value['cliente']['nome'].' - '.$value['origem']['propostaComercial']['numeroProposta'].'/'.$value['numero'],
                'TYPE_ID'           => 'SALE',
                'SOURCE_ID'           => 1,
                'CATEGORY_ID'       => CATEGORY_ID, 
                'CONTACT_ID'        => $contactAdd,
                'COMPANY_ID'        => $companyAdd,
                'UF_CRM_1622026236595'  => $value['numero'],
                'UF_CRM_1622026196949'  => $value['data'].'T00:00:00-03:00',

                "UF_CRM_1622027565084" => getField('UF_CRM_1622027565084', $value['situacao'],'deal', 1), // 'UF_CRM_1622027565084' => getStatus($value['situacao']),

                'UF_CRM_1622026560577' => $value['nota']['numero'],
                'UF_CRM_1622027744586' => $value['nota']['serie'],
                'UF_CRM_1622026597387' => str_replace(' ', 'T', $value['nota']['dataEmissao']).'-03:00',
                'UF_CRM_1622026584633' => $value['nota']['chaveAcesso'],
                'UF_CRM_1622026573679' => $value['nota']['valorNota'],
                'UF_CRM_1620324962'    => $nfGerada,
                
                'UF_CRM_1620323328' => $value['observacoes'],
                'UF_CRM_1620323345' => $value['observacaointerna'],
                'UF_CRM_1620070613' => $value['valorfrete'],
                'UF_CRM_1622026337926' => $value['totalprodutos'],
                'OPPORTUNITY' => $value['totalvenda'],
                'UF_CRM_1622026381926' => str_replace(' ', 'T', $value['dataSaida']).'-03:00',
                'UF_CRM_1622026393667' => str_replace(' ', 'T', $value['dataPrevista']).'-03:00',
                
                'UF_CRM_1614097734403' => $value['origem']['propostaComercial']['numeroProposta'],
                
                'UF_CRM_1620323151' => $parcelas,
                
                
            ),
        'ID' => $dealID['ID'],
        );
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;
}


function setProduct($deal, $items, $print = 0){
    
    $queryUrl = URL_BX."crm.deal.productrows.set";
    $row = array();
    foreach($items as $key => $value){
        
        $row[] = array("ID" => $key,
                        "PRODUCT_NAME" => $value['item']['descricao'],
                        "QUANTITY" => $value['item']['quantidade'],
                        "PRICE" => $value['item']['valorunidade'],
                        "WEIGHT" => $value['item']['pesoBruto'],
                        "DISCOUNT_SUM" => $value['item']['descontoItem']
                        );
        
        
    }
        
    $fields = Array('id' => $deal['ID'],
                    'rows' => $row
        );
        
    $result = getJson($queryUrl, $fields, $print);
    return $result;
    
    
    
}

function getPedidos($dtIni, $dtFim){
    
    $filter = str_replace('/', '%2F', str_replace(' ', '%20', "&filters=dataAlteracao[{$dtIni} TO {$dtFim}]"));
    $i = 1;
    $resultArray = array();
    do{
        $apikey = BLING_API;
        $outputType = "json";
        $url = "https://bling.com.br/Api/v2/pedidos/page={$i}/{$outputType}/?historico=true".$filter.'&apikey=' . $apikey;
        
        printArray($url);
        
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_URL, $url);
        $result = curl_exec($ch);
        curl_close($ch);
        
        $retorno = json_decode($result,1);
        
        if(isset($retorno['retorno']['erros'])){
            printArray($retorno);
            return 'ERRO';
        }else{
            $resultArray = array_merge($resultArray, $retorno['retorno']['pedidos']);
        }
        
        $i++;
    }while(isset($retorno['retorno']['pedidos'][99]));
    
    return $resultArray;
    
    
    
}



function getFieldValue($field, $item, $entity, $print = 0){
    
    $queryUrl = URL_BX."crm.{$entity}.userfield.list";

    $array = array(
            "filter" => array(
                    "FIELD_NAME" => $field
                )
        );

    $result = getJson($queryUrl, $array, $print);
    
    if(isset($result['result'][0]['LIST'][0]['ID'])){
        foreach($result['result'][0]['LIST'] as $key => $value){
            
            if($value['ID'] == $item){
                printArray($value['VALUE']); 
                return trim($value['VALUE']);
            }
                    
        }
    }else{
        printArray($item); 
        return $item;
    }

}

function getSimNao($value){
    
    if($value == '0'){
        return 'S';
    }elseif($value == '1'){
        return 'N';
    }else{
        return 'N';
    }
}


function addFeed($id, $mensagem, $entity, $print = 0){
    
    $queryUrl = URL_BX."crm.livefeedmessage.add";
    
    $fields = array(
                'fields' => array(
						 	"POST_TITLE" => $id,
						 	"MESSAGE" => $mensagem,
						 	"ENTITYTYPEID" =>  $entity,
						 	"ENTITYID" => $id
						 
						 ));
                
    $result = getJson($queryUrl, $fields, $print);
    return $result;

}


function notifyUser($message, $id_user, $print=0){
    
    $pos = strpos($message, 'ERROR: Esta requisição já foi processada');

    if ($pos === false) {
        
        writeToLog($message, "Empresa INATIVA");

        $queryUrl = URL_BX."im.notify";
        
        $queryData = array(
                        "to" => $id_user,
                        "message" => $message,
                        "type" => "SYSTEM");
                        
        $result = getJson($queryUrl, $queryData, $print);       
    }
    
}

function getTagsType($type, $ce){
    
    if($type == 'CLIENT'){
        
        $return = array(array("tag" => 'Cliente'));
        
        
    }elseif($type == 'SUPPLIER'){
        
        $return = array(array("tag" => 'Fornecedor'));
        
        
    }
    
    // if($ce == 'CONTACT'){
        
    //   array_push($return, array("tag" => 'Contato Bitrix24')); 
        
    // }elseif($ce == 'COMPANY'){
        
    //     array_push($return, array("tag" => 'Empresa Bitrix24'));
        
    // }
    
    return $return;
    
} 

function getData($data){
    
    // 2021-09-28T21:14:10+03:00
    
    $date = explode("T", $data);
    
    $hora = str_replace("+03:00", "", $date[1]);
    
    $hora = explode(":", $hora);
    $hr = $hora[0]-6;
    
    return $date[0]." ".$hr.":".$hora[1].":".$hora[2];
    
}




//array(array("tag" => 'Cliente'), array("tag" => 'Contato Bitrix24')); 
//array(array("tag" => 'Fornecedor'), array("tag" => 'Empresa Bitrix24')); 
      
###########################################################################
#################################### Inicio ###############################
###########################################################################
date_default_timezone_set("America/Sao_Paulo");

writeToLog($_REQUEST, "Request entrada");

if($_REQUEST['tkn'] != TKN){
    writeToLog($_REQUEST['tkn'], "Token Inválido");
    exit();
}

 /**
     * Cadastro reduzido de produtos
     *
     * @pw_element integer $codigo_cliente_omie Código do cliente - gerado pelo Omie.
     * @pw_element string $codigo_cliente_integracao Código de Integração com sistemas legados.
     * @pw_element string $cnpj_cpf CNPJ / CPF do cliente.
     * @pw_element string $razao_social Razão Social do cliente
     * @pw_element string $nome_fantasia Nome Fantasia do cliente
     * @pw_element string $logradouro Logradouro
     * @pw_element string $endereco Endereço
     * @pw_element string $endereco_numero Número do Endereço
     * @pw_element string $complemento Complemento para o Número do Endereço
     * @pw_element string $bairro Bairro
     * @pw_element string $cidade Código da Cidade
     * @pw_element string $estado Sigla do Estado
     * @pw_element string $cep CEP
     * @pw_element string $codigo_pais Código do País
     * @pw_element string $contato Nome para contato
     * @pw_element string $telefone1_ddd DDD Telefone
     * @pw_element string $telefone1_numero Telefone para Contato
     * @pw_element string $telefone2_ddd DDD Telefone 2
     * @pw_element string $telefone2_numero Telefone 2
     * @pw_element string $fax_ddd DDD Fax
     * @pw_element string $fax_numero Fax
     * @pw_element string $email E-Mail
     * @pw_element string $homepage WebSite
     * @pw_element string $observacao Observação
     * @pw_element string $inscricao_municipal Inscrição Municipal
     * @pw_element string $inscricao_estadual Inscrição Estadual
     * @pw_element string $inscricao_suframa Inscrição Suframa
     * @pw_element string $pessoa_fisica Pessoa Física
     * @pw_element string $optante_simples_nacional Indica se o Cliente / Fornecedor é Optante do Simples Nacional [S/N]
     * @pw_element string $bloqueado Registro Bloqueado pela API
     * @pw_element string $importado_api Gerado da API (S/N)
     * @pw_element tagsArray $tags Tags do Cliente ou Fornecedor
     * @pw_complex clientes_cadastro
     */

if($_REQUEST['event'] == 'ONCRMCONTACTUPDATE' || $_REQUEST['event'] == 'ONCRMCONTACTADD'){
    
    $contact = getContactById($_REQUEST['data']['FIELDS']['ID'], 1)['result'][0]; 
    
    if($contact['UF_CRM_1629633354'] == '1' && $contact['UF_CRM_1631359513'] != ''){
        
        $updated = getData($contact['UF_CRM_1629628232029']);
        
        writeToLog($updated, "Data/hora update");
        
        writeToLog(time(), "TIME Data/hora update");
        
        writeToLog(strtotime($updated." +1 minutes"), "Data/hora update +1minuto");
        //if(strtotime($contact['UF_CRM_1629628232029']." -3hours" ) >= strtotime($contact['UF_CRM_1629628232029']." -3hours" )) 
        
        if(time() > strtotime($updated." +1 minutes")){
            
            writeToLog("entrou udpate para o Omie");
            
        
            $empresaOmie = getCompanyById($contact['UF_CRM_1631359513'], 1)['result'][0]; 
            
            define("OMIE_APP_KEY",    $empresaOmie['UF_CRM_1631356971']);
            define("OMIE_APP_SECRET", $empresaOmie['UF_CRM_1631356996']);
        
            foreach($contact['PHONE'] as $key => $value){
                
                $PHONE[$key]['DDD'] = substr(str_replace('+55', '', $value['VALUE']), 0, 2);
                $PHONE[$key]['FNE'] = substr(str_replace('+55', '', $value['VALUE']), 2);
                
            }
            
            if($contact['UF_CRM_1629547865'] != '' && $_REQUEST['event'] == 'ONCRMCONTACTADD'){ // Se já existe Código no OMIE então Atribui CodBirix ao Omie
                
                try { 
                    $sc = new ClientesCadastroSoapClient(); 
                    
                    $novoCliente = new clientes_cadastro();  
                    $novoCliente->codigo_cliente_omie       = $contact['UF_CRM_1629547865'];
                    $novoCliente->codigo_cliente_integracao = 'C'.$_REQUEST['data']['FIELDS']['ID'];
        
        
                    $ret = $sc->AssociarCodIntCliente($novoCliente); 
        
                    printArray($ret);
                    
                } catch (SoapFault $e) { 
                    
                    writeToLog($e->getMessage(), "Erro enviando OMIE");
                    @print_r($e->getMessage());
                    
                    notifyUser($e->getMessage(), $contact['MODIFY_BY_ID'], 1);
                    
                } 
                
            }
            
            try { 
                $sc = new ClientesCadastroSoapClient(); 
                
                $novoCliente = new clientes_cadastro();  
                $novoCliente->codigo_cliente_omie       = $contact['UF_CRM_1629547865'];
                $novoCliente->codigo_cliente_integracao = 'C'.$_REQUEST['data']['FIELDS']['ID'];
                $novoCliente->cnpj_cpf                  = preg_replace('/[^0-9]/', '', $contact['UF_CRM_1593636143655']); //CONTATO campo CPF
                $novoCliente->razao_social              = $contact['UF_CRM_1632849634239'];
                $novoCliente->nome_fantasia             = $contact['UF_CRM_1632849643124'];
                $novoCliente->telefone1_ddd             = $PHONE[0]['DDD'];
                $novoCliente->telefone1_numero          = $PHONE[0]['FNE'];
                $novoCliente->telefone2_ddd             = $PHONE[1]['DDD'];
                $novoCliente->telefone2_numero          = $PHONE[1]['FNE'];
                $novoCliente->email                     = $contact['EMAIL'][0]['VALUE'];
                $novoCliente->importado_api             = 'S';
                $novoCliente->inativo                   = getSimNao($contact['UF_CRM_1629633354']);
                $novoCliente->tags                      = getTagsType($contact['TYPE_ID'], 'CONTACT'); //array(array("tag" => 'Cliente'), array("tag" => 'Contato Bitrix24')); 
                
                $novoCliente->homepage                  = $company['WEB'][0]['VALUE'];
                
                $novoCliente->endereco                  = $contact['UF_CRM_1629629818809'];
                $novoCliente->endereco_numero           = $contact['UF_CRM_1629629828560'];
                $novoCliente->complemento               = $contact['UF_CRM_1629629837861'];
                $novoCliente->bairro                    = $contact['UF_CRM_1629629851090'];
                $novoCliente->cep                       = $contact['UF_CRM_1629629862663'];
                $novoCliente->cidade                    = $contact['UF_CRM_1629629870956'];
                $novoCliente->estado                    = getFieldValue('UF_CRM_1629629935309', $contact['UF_CRM_1629629935309'], "contact");
                        
                // Solicita a criação do novo cliente  
                $ret = $sc->UpsertCliente($novoCliente); 
                writeToLog($ret, "Cadastrado com sucesso");
    
                if($contact['UF_CRM_1629547865'] == '' || $ret->codigo_cliente_omie != $contact['UF_CRM_1629547865']){
                    writeToLog($contact['UF_CRM_1629547865'], "Update Bitrix");
                    updateContact($ret, $contact, 1);
                }
                
            } catch (SoapFault $e) { 
                
                writeToLog($e->getMessage(), "Erro enviando OMIE");
                @print_r($e->getMessage());
                
                notifyUser($e->getMessage(), $contact['MODIFY_BY_ID'], 1);
                
            }
        }else{
        
            // $message = "Contato {$contact['NAME']} {$contact['LAST_NAME']} Não atualizado, aguarde alguns minutos e tente novamente";
            // notifyUser($message, $contact['MODIFY_BY_ID'], 1);
            
            // addFeed($contact['ID'], $message, 3, 1);
            
        }
        
    }elseif($contact['UF_CRM_1631359513'] != ''){
        
        $message = "Contato {$contact['NAME']} {$contact['LAST_NAME']} INATIVO no Omie!! Ative-o no Omie para atualizá-lo via Bitrix24.

ATENÇÃO: Últimas alterações serão sobrepostas pelos dados vindos do Omie";
        notifyUser($message, $contact['MODIFY_BY_ID'], 1);
        
        addFeed($contact['ID'], $message, 3, 1);
        
    }
    
// }elseif($_REQUEST['event'] == 'ONCRMCOMPANYUPDATE' || $_REQUEST['event'] == 'ONCRMCOMPANYADD'){
    
//     $company = getCompanyById($_REQUEST['data']['FIELDS']['ID'], 1)['result'][0]; 
    
//     if($company['UF_CRM_1631356939'] != '1'){ //Empresa APP não cria/atualiza no Omie - apenas LISTA
    
//         if($company['UF_CRM_1629635935'] == '1'){ //Ativa no OMIE
        
//             // $empresaOmie = getCompanyById($_REQUEST['data']['FIELDS']['UF_CRM_1631359513'], 1)['result'][0]; 
        
//             // define("OMIE_APP_KEY",    $empresaOmie['UF_CRM_1631356939']);
//             // define("OMIE_APP_SECRET", $empresaOmie['UF_CRM_1631356996']);

        
//             foreach($company['PHONE'] as $key => $value){
                
//                 $PHONE[$key]['DDD'] = substr(str_replace('+55', '', $value['VALUE']), 0, 2);
//                 $PHONE[$key]['FNE'] = substr(str_replace('+55', '', $value['VALUE']), 2);
                
//             }
            
//             if($company['UF_CRM_1629547940'] != ''){ // Se já existe Código no OMIE então Atribui CodBirix ao Omie
                
//                 try { 
//                     $sc = new ClientesCadastroSoapClient(); 
                    
//                     $novoCliente = new clientes_cadastro();  
//                     $novoCliente->codigo_cliente_omie       = $company['UF_CRM_1629547940'];
//                     $novoCliente->codigo_cliente_integracao = 'E'.$_REQUEST['data']['FIELDS']['ID'];
        
        
//                     $ret = $sc->AssociarCodIntCliente($novoCliente); 
        
//                     printArray($ret);
                    
//                 } catch (SoapFault $e) { 
                    
//                     writeToLog($e->getMessage(), "Erro enviando OMIE");
//                     @print_r($e->getMessage());
                    
//                     notifyUser($e->getMessage(), $contact['MODIFY_BY_ID'], 1);
                    
//                 } 
                
//             }
            
//             try { 
//                 $sc = new ClientesCadastroSoapClient(); 
                
//                 $novoCliente = new clientes_cadastro();  
//                 $novoCliente->codigo_cliente_omie       = $company['UF_CRM_1629547940'];
//                 $novoCliente->codigo_cliente_integracao = 'E'.$_REQUEST['data']['FIELDS']['ID'];
//                 $novoCliente->cnpj_cpf                  = preg_replace('/[^0-9]/', '', $company['UF_CRM_1593631496700']); //EMPRESA campo CNPJ Somente Numero
//                 $novoCliente->razao_social              = $company['TITLE'];
//                 $novoCliente->nome_fantasia             = $company['UF_CRM_1593631464461'];
//                 $novoCliente->telefone1_ddd             = $PHONE[0]['DDD'];
//                 $novoCliente->telefone1_numero          = $PHONE[0]['FNE'];
//                 $novoCliente->telefone2_ddd             = $PHONE[1]['DDD'];
//                 $novoCliente->telefone2_numero          = $PHONE[1]['FNE'];
//                 $novoCliente->email                     = $company['EMAIL'][0]['VALUE'];
//                 $novoCliente->importado_api             = 'S';
//                 $novoCliente->tags                      = getTagsType($company['COMPANY_TYPE'], 'COMPANY'); //array(array("tag" => 'Fornecedor'), array("tag" => 'Empresa Bitrix24')); 
                
//                 $novoCliente->contato                   = getContactByCompanyId($company['ID'], 1);
//                 $novoCliente->homepage                  = $company['WEB'][0]['VALUE'];
//                 $novoCliente->inscricao_estadual        = $company['UF_CRM_1593634847697'];
                
//                 $novoCliente->inativo                   = getSimNao($contact['UF_CRM_1629635935']);
                        
//                 // Solicita a criação do novo cliente  
//                 $ret = $sc->UpsertCliente($novoCliente); 
//                 writeToLog($ret, "Cadastrado com sucesso");
        
//                 printArray($ret);
                
//                 if($company['UF_CRM_1629547940'] == '' || $ret->codigo_cliente_omie != $contact['UF_CRM_1629547940']){
//                     writeToLog($contact['UF_CRM_1629547940'], "Update Bitrix");
//                     updateCompany($ret, $company, 1);
//                 }
                
//             } catch (SoapFault $e) { 
                
//                 writeToLog($e->getMessage(), "Erro enviando OMIE");
//                 @print_r($e->getMessage());
                
//                 notifyUser($e->getMessage(), $contact['MODIFY_BY_ID'], 1);
//             } 
            
//         }else{
            
//             $message = "Empresa {$company['TITLE']} INATIVA no Omie!! Ative-o no Omie para atualizá-lo via Bitrix24.
    
// ATENÇÃO: Últimas alterações serão sobrepostas pelos dados vindos do Omie";
    
//             notifyUser($message, $company['MODIFY_BY_ID'], 1);
            
//             addFeed($company['ID'], $message, 4, 1);
            
            
//         }
//     }

// }elseif($_REQUEST['event'] == 'ONCRMCONTACTDELETE'){ // || $_REQUEST['event'] == 'ONCRMCOMPANYDELETE'){
    
//     // if($_REQUEST['event'] == 'ONCRMCOMPANYDELETE'){
//         // $codigo = 'E'.$_REQUEST['data']['FIELDS']['ID'];
//     // }elseif($_REQUEST['event'] == 'ONCRMCONTACTDELETE'){
//         $codigo = 'C'.$_REQUEST['data']['FIELDS']['ID'];
//     // }
    
//     try { 
//         $sc = new ClientesCadastroSoapClient(); 
        
//         $novoCliente = new clientes_cadastro();  
//         $novoCliente->codigo_cliente_integracao = $codigo;

//         // Solicita a criação do novo cliente  
//         $ret = $sc->ExcluirCliente($novoCliente); 
//         writeToLog($ret, "Excluído com sucesso");

//         printArray($ret);

//     } catch (SoapFault $e) { 
        
//         writeToLog($e->getMessage(), "Erro enviando OMIE");
//         @print_r($e->getMessage()); 

//     } 
    
    
    
}






?>

